ubuntuone-client requires NetworkManager

Reported by Kees Cook on 2009-04-07
This bug affects 255 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Medium
Rodney Dawes
ubuntuone-client (Ubuntu)
Medium
Rodney Dawes
Karmic
Undecided
Unassigned

Bug Description

FIXES:
For those not using NetworkManager and are on Karmic, the fix for this bug is in proposed updates. To install proposed updates, please read this FAQ: https://answers.edge.launchpad.net/ubuntuone-client/+faq/930

For those on Jaunty, please update to the latest version of the client and this should work.

--------------------------------------

STEPS TO REPRODUCE/TEST:
1. $ sudo apt-get install wicd
   $ sudo reboot now
2. Open Internet->Applications->Ubuntu One
3. Click on the Ubuntu One client applet and select "Connect"
4. Copy a small file "NetworkManager Test.txt" to ~/Ubuntu One
5. Open Applications->Internet->Firefox
6. Go to: https;//one.ubuntu.com/files

Result:
* Client does not connect & https://one.ubuntu.com/files does not show "NetworkManager Test.txt" under "My Files"
* Applet icon appears to connect & then disconnects
* ~/.cache/ubuntuone/log/syncdaemon-exceptions.log has an entry:
ERROR - Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Expected Result:
* Client connects & https://one.ubuntu.com/files shows "NetworkManager Test.txt" under "My Files"

--------------------------------------

Original description:

kees 9638 2.2 0.3 273056 28324 ? Sl 16:42 0:00 /usr/bin/python /usr/bin/ubuntuone-client-applet --signup

Messages from .xsession-errors:
/usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import itertools, md5

After killing it:
Unhandled error in Deferred:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
    self.__bootstrap_inner()
  File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.6/threading.py", line 477, in run
    self.__target(*self.__args, **self.__kwargs)
--- <exception caught here> ---
  File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py", line 210, in _worker
    result = context.call(ctx, function, *args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 59, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 37, in callWithContext
    return func(*args,**kw)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py", line 306, in ensure_access_token
    store=True)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py", line 182, in acquire_access_token_if_online
    '/org/freedesktop/NetworkManager')
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Note that I do not use NetworkManager...

Related branches

lp:~dobey/ubuntuone-client/nm-errors
Guillermo Gonzalez: Approve on 2009-11-16
Tim Cole (community): Approve on 2009-11-13
Ubuntu One hackers: Pending requested 2009-11-13
Joshua Hoover: Pending requested 2009-11-13
Kees Cook (kees) wrote :

The documentation says to click on "Start Ubuntu One", but the .desktop file shows this as "Ubuntu One" only.

right now the sync daemon depends on network manager. The dependency
can be removed, or the sync daemon should make its dependency
explicit.

I vote for the former.

Kees Cook (kees) wrote :

On Wed, Apr 08, 2009 at 12:36:45AM -0000, John Lenton wrote:
> right now the sync daemon depends on network manager. The dependency
> can be removed, or the sync daemon should make its dependency
> explicit.
>
> I vote for the former.

I got NetworkManager running (though not managing any of my interfaces
since I use bridging and VLANing on my home desktop machine). Even with NM
running, ubuntuone-client hangs.

John Lenton (chipaca) wrote :

On Wed, Apr 08, 2009 at 02:20:37AM -0000, Kees Cook wrote:
> On Wed, Apr 08, 2009 at 12:36:45AM -0000, John Lenton wrote:
> > right now the sync daemon depends on network manager. The dependency
> > can be removed, or the sync daemon should make its dependency
> > explicit.
> >
> > I vote for the former.
>
> I got NetworkManager running (though not managing any of my interfaces
> since I use bridging and VLANing on my home desktop machine). Even with NM
> running, ubuntuone-client hangs.

but it no longer throws an error, right?

Kees Cook (kees) wrote :

On Wed, Apr 08, 2009 at 02:44:11AM -0000, John Lenton wrote:
> On Wed, Apr 08, 2009 at 02:20:37AM -0000, Kees Cook wrote:
> > I got NetworkManager running (though not managing any of my interfaces
> > since I use bridging and VLANing on my home desktop machine). Even with NM
> > running, ubuntuone-client hangs.
>
> but it no longer throws an error, right?

Correct, it hangs, but when I hit ctrl-C, I get my prompt back without
error.

John Lenton (chipaca) wrote :

On Wed, Apr 08, 2009 at 02:57:12AM -0000, Kees Cook wrote:
> On Wed, Apr 08, 2009 at 02:44:11AM -0000, John Lenton wrote:
> > On Wed, Apr 08, 2009 at 02:20:37AM -0000, Kees Cook wrote:
> > > I got NetworkManager running (though not managing any of my interfaces
> > > since I use bridging and VLANing on my home desktop machine). Even with NM
> > > running, ubuntuone-client hangs.
> >
> > but it no longer throws an error, right?
>
> Correct, it hangs, but when I hit ctrl-C, I get my prompt back without
> error.
>

Could you try the attached package? It should fix the original issue
(when NetworkManager wasn't installed), but not the second issue (when
NetworkManager is installed but doesn't think you're connected when
you are).

Actually, it *does* add an option to syncdaemon that lets it ignore nm
completely; could you try that? But first you'll need to authenticate,
which is not done by syncdaemon itself. So, what would be great, would
be if you could test the attached package as follows:

* try to get everything running *without* having network manager, at
  all.

* then, install network manager, connect without it knowing, and check
  that the syncdaemon still connects (using --ignore-nm).

Thanks!

Kees Cook (kees) wrote :

On Wed, Apr 08, 2009 at 05:25:47AM -0000, John Lenton wrote:
> * try to get everything running *without* having network manager, at
> all.

Steps taken:
 * shut down NetworkManager
 * installed ubuntuone-client_0.1~9.04-1098-1
 * ran ubuntuone-client-applet --signup

Results: same as before, hung without any warnings.

Rodney Dawes (dobey) wrote :

On Wed, 2009-04-08 at 02:20 +0000, Kees Cook wrote:
> I got NetworkManager running (though not managing any of my interfaces
> since I use bridging and VLANing on my home desktop machine). Even with NM
> running, ubuntuone-client hangs.

Can you clarify what 'hang' means exactly, in this case? You don't get
an icon in the panel? The browser doesn't pop up to authorize your
account access via oauth (it won't if you've already done so, and have a
valid access token in your keyring)?

Kees Cook (kees) wrote :

On Wed, Apr 08, 2009 at 06:12:47PM -0000, Rodney Dawes wrote:
> Can you clarify what 'hang' means exactly, in this case? You don't get
> an icon in the panel? The browser doesn't pop up to authorize your
> account access via oauth (it won't if you've already done so, and have a
> valid access token in your keyring)?

Nothing in the panel, no browser activity, no new windows; nothing
visibly changes.

Log attached

Kees Cook (kees) on 2009-04-08
summary: - ubuntuone-client hangs
+ ubuntuone-client requires NetworkManager
Rick McBride (rmcbride) wrote :

Assigning to you since you interacted with Kees on this previously

Changed in ubuntuone-client:
assignee: nobody → chipaca
importance: Undecided → Medium
status: New → Triaged

On Tue, Apr 28, 2009 at 02:07:44PM -0000, Rick McBride wrote:
> Assigning to you since you interacted with Kees on this previously

yes, thank you. I also have a personal interest in fixing this, as I
sometimes find myself using 'pon' rather than NetworkManager to get
online.

Elliot Murphy (statik) on 2009-04-29
Changed in ubuntuone-client:
milestone: none → later
Joshua Blount (jblount) on 2009-05-28
visibility: private → public
Donny Kurnia (donnykurnia) wrote :

Me too. I'm connecting using wvdial. NetworkManager status is disconnected and UbuntuOne refuse to Connect without any message. When I connected to an ad-hoc wireless network with NetworkManager, UbuntuOne can Connect and Sync.

My question, If I replace NetworkManager with wicd, do UbuntuOne will still query NetworkManager before connect? Anyone try wicd with ubuntuone?

Rodney Dawes (dobey) wrote :

You have both running? If you're not using NetworkManager, and don't
intend to ever use it, why is it running? (And why don't the other
projects provide the same DBus interface?) We query NM if it is
available. If it's not at all available in the system, then we default
to the standard "we have no idea what is going on because we have no
reasonably standard way to easily determine that" method, I believe.

On Tue, 2009-06-30 at 02:12 +0000, donnykurnia wrote:
> Me too. I'm connecting using wvdial. NetworkManager status is
> disconnected and UbuntuOne refuse to Connect without any message. When I
> connected to an ad-hoc wireless network with NetworkManager, UbuntuOne
> can Connect and Sync.
>
> My question, If I replace NetworkManager with wicd, do UbuntuOne will
> still query NetworkManager before connect? Anyone try wicd with
> ubuntuone?
>

Any updates on this problem? I am unable to re-authenticare a client. I used wicd.

Fabián Rodríguez (magicfab) wrote :

I just marked a bug I filed earlier as a duplicate of this one.

John Mark (johnmark) wrote :

I just ran into this tonight, as well. Why does Ubuntu One care what connection manager you're using? Couldn't the fallback be that it tries to contact the server, regardless of the network interface? Just seems like an unintuitive way to design the client.

Some reasons why Ubuntu users may not use Network Manager:

- They use an ethernet connection that is always on.
- Network Manager is buggy and don't work well with their hardware (drops).
- Network Manager lacks featured needed to connect to some types of networks (they remove password type options with every release).

Furthermore, ubuntuone does NOT work with a proxy. Blocking non-NM users when looking for proxy info is non-sensical.

zeroc (zero-c) wrote :

im using wicd too.

{12:06:11}-{zeroc}-{~}-> /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

{12:10:49}-{zeroc}-{~}-> u1sync --authorize
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

foxprobe (laurent-keller) wrote :

Me too, unable to obtain the first signup screen and the same error message. I am using Ubuntu with Wicd.

~$ /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Note: I am also user of Xubuntu with Network manager and this works fine.

Rodney Dawes (dobey) on 2009-10-27
Changed in ubuntuone-client:
assignee: John Lenton (chipaca) → Rodney Dawes (dobey)
status: Triaged → In Progress

I am using Wicd to connect to the internet, too.

root@vega:/home/carlo# ubuntuone-client-applet --signup

ERROR:dbus.proxies:Introspect error on com.ubuntuone.SyncDaemon:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
ERROR:dbus.proxies:Introspect error on com.ubuntuone.SyncDaemon:/status: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
ERROR:dbus.proxies:Introspect error on com.ubuntuone.SyncDaemon:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
ERROR:dbus.proxies:Introspect error on com.ubuntuone.SyncDaemon:/status: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Martin Kim Dung-Pham (q231950) wrote :

I am forced to use Wicd by my apple airport router so I do "I vote for the former.", too!

Roberto Santalla (roobreland) wrote :

Ubuntu 9.10 Released Officialy and U1 don't works.

I hope that you fix it soon :(

Emre Senturk (m-emre-senturk) wrote :

I think that it is not about the network manager. Well I'm using nm but i am unable to connect ubuntuone server.

martron (imartron) wrote :

+1 wicd user here.

Derwin McGeary (djm62) wrote :

Should this be posted here? This is the result with Ubuntu One NOT working.

derwin@tesla:~$ wget -q http://launchpadlibrarian.net/34282008/nm-checker && chmod 755 nm-checker && ./nm-checker
Got state: 4

rumpelstilzchen (bloodred) wrote :

Ubuntu One + wicd, same errors as previously mentioned.

output of wget -q http://launchpadlibrarian.net/34282008/nm-checker && chmod 755 nm-checker && ./nm-checker:

ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Got state: 4

palle (palle) wrote :

Same to me. Ubuntu One + wicd
Output of nm-checker:

ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

Jerome Richalot (jrichalot) wrote :

Ubuntu One + wicd

Same here.

:~$ ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

thanks for looking into it.

Fabián Rodríguez (magicfab) wrote :

PLEASE stop posting "me too" comments. Use the "Does this bug affect you?" link at the top of this bug report. THANK YOU!

Chris Moore (dooglus) wrote :

I agree with Fabian. Please stop filling this bug with comments that add no additional value.

ValHue (valhue) wrote :

Any solution?

This bug was started to report in April 2009 and still no solution. How is this possible?

I'm seriously considering installing dropbox, at least it works.

Tony Colin (tony-jetnet) wrote :

I've decided not to spend hours trying to sort it myself as there's
obviously a bug. I'm annoyed that it took me so much time getting this far
and I'll just leave the app until they fix it. In the meantime, Dropbox is
brilliant and the installation is but two minutes of your time.

2009/11/3 ValHue <email address hidden>

>
> Any solution?
>
> This bug was started to report in April 2009 and still no solution. How
> is this possible?
>
> I'm seriously considering installing dropbox, at least it works.
>
> --
> ubuntuone-client requires NetworkManager
> https://bugs.launchpad.net/bugs/357395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: In Progress
>
> Bug description:
> kees 9638 2.2 0.3 273056 28324 ? Sl 16:42 0:00
> /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
>
> Messages from .xsession-errors:
> /usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5:
> DeprecationWarning: the md5 module is deprecated; use hashlib instead
> import itertools, md5
>
> After killing it:
> Unhandled error in Deferred:
> Traceback (most recent call last):
> File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
> self.__bootstrap_inner()
> File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
> self.run()
> File "/usr/lib/python2.6/threading.py", line 477, in run
> self.__target(*self.__args, **self.__kwargs)
> --- <exception caught here> ---
> File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py", line
> 210, in _worker
> result = context.call(ctx, function, *args, **kwargs)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 59, in callWithContext
> return self.currentContext().callWithContext(ctx, func, *args, **kw)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 37, in callWithContext
> return func(*args,**kw)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 306, in ensure_access_token
> store=True)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 182, in acquire_access_token_if_online
> '/org/freedesktop/NetworkManager')
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in
> get_object
> follow_name_owner_changes=follow_name_owner_changes)
> File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in
> __init__
> self._named_service = conn.activate_name_owner(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in
> activate_name_owner
> self.start_service_by_name(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in
> start_service_by_name
> 'su', (bus_name, flags)))
> File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in
> call_blocking
> message, timeout)
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown:
> The name org.freedesktop.NetworkManager was not provided by any .service
> files
>
>
> Note that I do not use NetworkManager...
>

Roberto Santalla (roobreland) wrote :

Oh, that's desesperant.

I've just installed the las U1 update, but it still not conecting...

So, let's install DropBox and remove U1 from Start Aplications...

Regards

Emre Senturk (m-emre-senturk) wrote :

I can synchronize my notes with Tomboy but cannot connect via u1 client.

toefraz (ubuntu-toefraz) on 2009-11-05
description: updated
Changed in ubuntuone-client:
assignee: Rodney Dawes (dobey) → nobody
assignee: nobody → Rodney Dawes (dobey)
dyug (dyug) wrote :

My work machine not use network-manager, i`m use /etc/network/intrfaces
Ubuntu One - not work
work machine - use bridge config network-manager not work my config system

tags: added: ubuntuone-sru
Philipp Wendler (philw85) wrote :

6 months ago, John Lenton wrote:

> right now the sync daemon depends on network manager. The dependency
> can be removed, or the sync daemon should make its dependency
> explicit.
>
> I vote for the former.

And nothing has happened, the problem still exists. While I would like to have Ubuntu One working without the Network Manager, could it please have an explicit dependency added for now? It took me at least an hour to find this out, because there is not even a error message, it just fails silently.

tags: added: common
yurx cherio (cherio) wrote :

I don't have NetworkManager installed neither at home nor at the office.

At home I use WICD instead because NetworkManager can't properly handle standby mode when using WiFi connection.
At the office I manually configure /etc/resolv.conf & /etc/network/interfaces.

In my mind an implicit (and any kind of) dependency on NetworkManager is a bad design decision. Other internet/network dependent applications (web browsers, chats and messengers, torrents, FTP/SSH, synaptic, network/db servers, .............) don't care what connection manager I use and whether it is in use at all.

Rene (g.xrc) wrote :

Hello, different context, same effects...

I use netapplet instead of network-manager.
It is my choice from a long time because my D-Link DWL-G650+, using ACX driver is not compatible with network-manager.
Now that ACX is also not compatible with karmic at all, I am forced to changed to ndiswrapper.
Even if now compatible with network-manager I don't like it because my wireless connects only after logon: so I am not able to contact the computer remotely.

Concering ubuntu one:
Without network-manager I am not able to declare the computer, so no connect or sync possible
So I reset ubuntu one, re-installer network-manager, and I managed to declare the computer.
Then I uninstalled network-manager, and now connect and sync to UbuntuOne is working fine.

Remaining problem for me was that network-manager is mandatory to declare computer.

using karmic 9.10

Jeremy Nickurak (nickurak) wrote :

There seems to be a fix for the network-manager dependancy in https://bugs.launchpad.net/ubuntuone-client/+bug/464462

Jeremy Nickurak (nickurak) wrote :

Hrm. nevermind, that's a different part of it.

Mike Kenney (mfkenney) wrote :

@jeremy: the patch posted to Bug 464462 does fix the problem by simply ignoring any D-bus errors when trying to access NetworkManager. I applied it on my system and it now connects as it should.

To U1-client devs: is there any reason to depend on NetworkManager to check the state of the network interfaces? Wouldn't it be simpler to just try and establish the connection?

Tony Colin (tony-jetnet) wrote :
Download full text (3.3 KiB)

I have now installed U1 without difficulty on a desktop machine that uses
Network Manager. Back on my Macbook however still no option to add the
laptop, only the icon with the warning sign. Installed NetworkManager on
the Macbook (which knocked out Wicd) and U1 works perfectly now. It's a
solution at least!

2009/11/13 Mike Kenney <email address hidden>

> @jeremy: the patch posted to Bug 464462 does fix the problem by simply
> ignoring any D-bus errors when trying to access NetworkManager. I
> applied it on my system and it now connects as it should.
>
> To U1-client devs: is there any reason to depend on NetworkManager to
> check the state of the network interfaces? Wouldn't it be simpler to
> just try and establish the connection?
>
> --
> ubuntuone-client requires NetworkManager
> https://bugs.launchpad.net/bugs/357395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: In Progress
>
> Bug description:
> kees 9638 2.2 0.3 273056 28324 ? Sl 16:42 0:00
> /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
>
> Messages from .xsession-errors:
> /usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5:
> DeprecationWarning: the md5 module is deprecated; use hashlib instead
> import itertools, md5
>
> After killing it:
> Unhandled error in Deferred:
> Traceback (most recent call last):
> File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
> self.__bootstrap_inner()
> File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
> self.run()
> File "/usr/lib/python2.6/threading.py", line 477, in run
> self.__target(*self.__args, **self.__kwargs)
> --- <exception caught here> ---
> File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py",
> line 210, in _worker
> result = context.call(ctx, function, *args, **kwargs)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 59, in callWithContext
> return self.currentContext().callWithContext(ctx, func, *args, **kw)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 37, in callWithContext
> return func(*args,**kw)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 306, in ensure_access_token
> store=True)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 182, in acquire_access_token_if_online
> '/org/freedesktop/NetworkManager')
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in
> get_object
> follow_name_owner_changes=follow_name_owner_changes)
> File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in
> __init__
> self._named_service = conn.activate_name_owner(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in
> activate_name_owner
> self.start_service_by_name(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in
> start_service_by_name
> 'su', (bus_name, flags)))
> File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in
> call_blocking
> message, timeout...

Read more...

ValHue (valhue) wrote :

Subscribe by Rene in the above comment # 39.

Once declared the pc on the web, but uninstall network-manager, ubuntuone still works.
In my case with wicd and karmic

lnxwalt (lnxwalt) wrote :

ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

I'm using Wicd because nm constantly drops and reattaches to my wireless network.

Jeremy Nickurak (nickurak) wrote :

Aha, between launchpad changing whitespace in comments, and python being whitespace sensitive, I made the wrong change several times in a row.

A one-liner to fix this:

cd /usr/share/pyshared/ubuntuone/oauthdesktop/; wget -O - http://nickurak.ca/ubuntuone-ignore-missing-nm.patch | sudo patch -p0

Nikus Pokus (berserker848) wrote :

Bravo and thank you, your patch is working on my computer. So, I linked my computer to my account and the synchronization is working.

Roberto Santalla (roobreland) wrote :

@Jeremy You are GOD!!!

A lot of thanks, dude, you are the best ^^

Changed in ubuntuone-client:
status: In Progress → Fix Released
John O'Brien (jdobrien) wrote :

I'm really glad some have found a way to work around this problem. However the problem still exists.

Changed in ubuntuone-client:
status: Fix Released → In Progress
Ryan Tucker (rtucker) wrote :

Jeremy's workaround is a one-line fix. (Well, two if you count changing the log message.)

This bug has been open since the beginning of April.

Has Ubuntu One been abandoned already? Does Canonical have any plans to continue supporting this product? There's a lot of alternatives out there, and so far, it's not making a great first impression...

Nicolas LEBRUN (nico-leb) wrote :

Patch proposed bu Jeremy (#46) is ok for me.

william (william-p-ford) wrote :

thanks, this fixed the problem.

Rodney Dawes (dobey) wrote :

The patch in the duplicate bug is not a complete fix. It is a workaround for associating the computer with your account, yes. The linked branch from me in this bug report, however, does fix the problem. It has been tested, and is currently being revied for inclusion in trunk. It will then be backported to our stable branch, and we will get an SRU out for Karmic which includes ths fix (as well as the development snapshots in our PPA which already will include the fix once this lands in trunk).

However, there is a process to getting updates out for a released version of Ubunu, and we have to follow that same process, just as anyone else wanting to get a bug fix into any other Ubuntu main packages. We will be preparing an SRU with this fix, and several others, for the Ubuntu One packages in Karmic, very soon.

Roberto Santalla (roobreland) wrote :

Oh, it stopped work again...

Fu***ing ubuntu, make a decent fix, please!!!

Rodney Dawes (dobey) on 2009-11-17
Changed in ubuntuone-client:
status: In Progress → Fix Committed
foxprobe (laurent-keller) wrote :

Today's Ubuntuone update 1.1+r278 will fix the problem for me, user of WICD.
Thanks.

Karl Rixon (karl-rixon) wrote :

Fix works for me with WICD too, thanks.

Rajiv Prasad (rpras390) wrote :

The update 1.1+r278 did not fix the issue for me. At least that is how it appears to me. Please let me know if you think I did something wrong. Here are the details:

1. Added the line "deb http://ppa.launchpad.net/ubuntuone/beta/ubuntu karmic main" to /etc/apt/sources.list.
2. Ran "sudo apt-get update && sudo apt-get upgrade".
3. Then tried to run ubuntuone from the command line:

/home/rajiv
rajiv@uBook:~$ /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
ERROR:dbus.proxies:Introspect error on org.freedesktop.NetworkManager:/org/freedesktop/NetworkManager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

I do get U1 icon in the panel, but it has a red cross on it. The command above is just waiting on the terminal -- not sure if I should have run it in the background or if it is expecting any other input on the command line. Looks like U1 still is looking for NM.

rajiv@uBook:~$ uname -a
Linux uBook 2.6.31-14-powerpc #48-Ubuntu Fri Oct 16 14:11:44 UTC 2009 ppc GNU/Linux

I am not running NM because it won't connect to my wireless router. I'm not running wicd either, because it has similar issues -- won't connect. I have Karmic on an iBook G3.

Why can't it work with an active and properly operating network connection?

Thanks -- I'd love to get a working U1.

Ryan Tucker (rtucker) wrote :

This was working fine with Jeremy's patch, but since installing the PPA, all it does is stick with the red X. When I left-click the UbuntuOne icon and "Connect", it acts like it's connecting for a few seconds, and then goes back to the red X. I tried doing an apt-get purge then install of "python-ubuntuone-client python-ubuntuone-storageprotocol ubuntuone-client ubuntuone-client-gnome ubuntuone-client-tools" just to make sure there wasn't a stale incompatible config file lying around or something, but no dice.

Joshua Hoover (joshuahoover) wrote :

To those still having problems with the latest PPA, can you please make sure NetworkManager is uninstalled? Also, please be sure to quit the Ubuntu One client after doing the update and then start the Ubuntu One client. If you're still having problems, please file a new bug by right-clicking on the Ubuntu One client and selecting "Report a Problem". Please be sure to include in the bug report output from trying to run the Ubuntu One client from a terminal session: ubuntuone-client-applet

Also, please let us know in your new bug report what you are using to connect to the network/Internet. This was tested with WICD so it's possible other types of connections will not work.

Thank you,

Joshua

Lenny (carsonlh) wrote :

For the record. I'm using wicd on Karmic (Acer Aspire One) and the fix
worked flawlessly.

Thanks for your hard work. I really appreciate it.

regards,

Leonard Carson

Joshua Hoover wrote:
> To those still having problems with the latest PPA, can you please make
> sure NetworkManager is uninstalled? Also, please be sure to quit the
> Ubuntu One client after doing the update and then start the Ubuntu One
> client. If you're still having problems, please file a new bug by right-
> clicking on the Ubuntu One client and selecting "Report a Problem".
> Please be sure to include in the bug report output from trying to run
> the Ubuntu One client from a terminal session: ubuntuone-client-applet
>
> Also, please let us know in your new bug report what you are using to
> connect to the network/Internet. This was tested with WICD so it's
> possible other types of connections will not work.
>
> Thank you,
>
> Joshua
>
>

Rajiv Prasad (rpras390) wrote :

@Joshua:

PPA version was not working for me. Tonight, the upgrade also showed up in Synaptic Package Manager and I foolishly confirmed its installation without thinking -- now I don't have ubuntuone-client-gnome anymore! It got uninstalled and I cannot get it to install again with PPA. So I removed the PPA version, installed the 1.0.2 again and tried an update/upgrade. No luck -- for some reason apt-get would not upgrade 1.0.2 to PPA.

Bottomline is, I can't even submit a bug report anymore. Help, please?

Rajiv

Tony Colin (tony-jetnet) wrote :
Download full text (3.3 KiB)

Just a thought - are you running wicd (for which the fix was released), or
Network Manager?

If the latter, it might be worth installing wicd and trying again.
Tony

2009/11/22 Rajiv Prasad <email address hidden>

> @Joshua:
>
> PPA version was not working for me. Tonight, the upgrade also showed up
> in Synaptic Package Manager and I foolishly confirmed its installation
> without thinking -- now I don't have ubuntuone-client-gnome anymore! It
> got uninstalled and I cannot get it to install again with PPA. So I
> removed the PPA version, installed the 1.0.2 again and tried an
> update/upgrade. No luck -- for some reason apt-get would not upgrade
> 1.0.2 to PPA.
>
> Bottomline is, I can't even submit a bug report anymore. Help, please?
>
> Rajiv
>
> --
> ubuntuone-client requires NetworkManager
> https://bugs.launchpad.net/bugs/357395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Fix Committed
>
> Bug description:
> kees 9638 2.2 0.3 273056 28324 ? Sl 16:42 0:00
> /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
>
> Messages from .xsession-errors:
> /usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5:
> DeprecationWarning: the md5 module is deprecated; use hashlib instead
> import itertools, md5
>
> After killing it:
> Unhandled error in Deferred:
> Traceback (most recent call last):
> File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
> self.__bootstrap_inner()
> File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
> self.run()
> File "/usr/lib/python2.6/threading.py", line 477, in run
> self.__target(*self.__args, **self.__kwargs)
> --- <exception caught here> ---
> File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py",
> line 210, in _worker
> result = context.call(ctx, function, *args, **kwargs)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 59, in callWithContext
> return self.currentContext().callWithContext(ctx, func, *args, **kw)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 37, in callWithContext
> return func(*args,**kw)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 306, in ensure_access_token
> store=True)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 182, in acquire_access_token_if_online
> '/org/freedesktop/NetworkManager')
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in
> get_object
> follow_name_owner_changes=follow_name_owner_changes)
> File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in
> __init__
> self._named_service = conn.activate_name_owner(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in
> activate_name_owner
> self.start_service_by_name(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in
> start_service_by_name
> 'su', (bus_name, flags)))
> File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in
> call_blocking
> me...

Read more...

Rajiv Prasad (rpras390) wrote :

@Tony:

I'm running neither wicd nor NM. On my iBook G3 both have problems connecting to my Netgear and DLink wireless routers. NM is worse of the two. I finally got wireless working (Apple Airport card) using vanilla ifconfig/iwconfig/dhclient. Don't want to risk the setup getting screwed up again just to see if U1 would work (and that is not guaranteed either).

What I still don't understand is why U1 can't just use a properly working network connection without relying on wicd or NM. This design choice just defies logic.

Thanks so much for your reply.

Rajiv

Tony Colin (tony-jetnet) wrote :
Download full text (3.3 KiB)

Ahah - you never mentioned logic - that's a totally different issue! Good
luck with it anyway.
Tony

2009/11/22 Rajiv Prasad <email address hidden>

> @Tony:
>
> I'm running neither wicd nor NM. On my iBook G3 both have problems
> connecting to my Netgear and DLink wireless routers. NM is worse of the
> two. I finally got wireless working (Apple Airport card) using vanilla
> ifconfig/iwconfig/dhclient. Don't want to risk the setup getting
> screwed up again just to see if U1 would work (and that is not
> guaranteed either).
>
> What I still don't understand is why U1 can't just use a properly
> working network connection without relying on wicd or NM. This design
> choice just defies logic.
>
> Thanks so much for your reply.
>
> Rajiv
>
> --
> ubuntuone-client requires NetworkManager
> https://bugs.launchpad.net/bugs/357395
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu One Client: Fix Committed
>
> Bug description:
> kees 9638 2.2 0.3 273056 28324 ? Sl 16:42 0:00
> /usr/bin/python /usr/bin/ubuntuone-client-applet --signup
>
> Messages from .xsession-errors:
> /usr/lib/python2.6/dist-packages/twisted/internet/_sslverify.py:5:
> DeprecationWarning: the md5 module is deprecated; use hashlib instead
> import itertools, md5
>
> After killing it:
> Unhandled error in Deferred:
> Traceback (most recent call last):
> File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
> self.__bootstrap_inner()
> File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
> self.run()
> File "/usr/lib/python2.6/threading.py", line 477, in run
> self.__target(*self.__args, **self.__kwargs)
> --- <exception caught here> ---
> File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py",
> line 210, in _worker
> result = context.call(ctx, function, *args, **kwargs)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 59, in callWithContext
> return self.currentContext().callWithContext(ctx, func, *args, **kw)
> File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line
> 37, in callWithContext
> return func(*args,**kw)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 306, in ensure_access_token
> store=True)
> File
> "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py",
> line 182, in acquire_access_token_if_online
> '/org/freedesktop/NetworkManager')
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in
> get_object
> follow_name_owner_changes=follow_name_owner_changes)
> File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in
> __init__
> self._named_service = conn.activate_name_owner(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in
> activate_name_owner
> self.start_service_by_name(bus_name)
> File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in
> start_service_by_name
> 'su', (bus_name, flags)))
> File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in
> call_blocking
> message, tim...

Read more...

Rodney Dawes (dobey) wrote :

On Sun, 2009-11-22 at 07:15 +0000, Rajiv Prasad wrote:
> What I still don't understand is why U1 can't just use a properly
> working network connection without relying on wicd or NM. This design
> choice just defies logic.

It doesn't *require* wicd or NM. It does prefer NM, because we get
useful information via the DBus interface, which we can't easily get
otherwise. Ideally wicd, ConnectionManager, etc... would all implement
the same DBus interface to get this information, but they don't. The
branch I landed, and which is now in the beta PPA packages, is for a bug
that was requiring that NM be used, as the failure case wasn't being
handled properly in all cases. It will work fine now with wicd, or
ifconfig, or whatever you want to use, so long as the network is
available.

If you are having problem installing the packages, or are still having
issues connecting, it is almost certainly a different issue. Please file
a separate bug so we can track it there, rather than filling this report
with discussion of other issues. Thanks.

tags: removed: ubuntuone-sru
Rodney Dawes (dobey) on 2009-11-30
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Medium
status: New → In Progress
tags: added: ubuntuone-sru
description: updated

Accepted ubuntuone-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
description: updated
description: updated
Joshua Hoover (joshuahoover) wrote :

Tested proposed update on a fresh Karmic install with all standard updates & proposed updates for ubuntuone-client & dependent packages. Ran steps to reproduce and got expected result - PASSED.

Martin Pitt (pitti) on 2010-02-04
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.0.3-0ubuntu1

---------------
ubuntuone-client (1.0.3-0ubuntu1) karmic-proposed; urgency=high

  * New upstream release
    - Remove patch files now in upstream for #462828
    - Require python-ubuntuone-storageprotocol >= 1.0.1
    - BadTransition: SYS_CONNECTION_MADE (LP: #457147)
    - ValueError: invalid literal for int() with base 10: 'None' (LP: #476777)
    - Protocol version error with bw throttling enabled (LP: #455544)
    - Folder deletion from other machines results in conflicts (LP: #462003)
    - Syncdaemon doesn't disable throttling (LP: #483592)
    - Syncdaemon crashes with NoAccessToken (LP: #488413)
    - Error creating share from Nautilus: callback() (LP: #492100)
    - Work without NetworkManager installed (LP: #357395)
    - Create a POT during the build (LP: #455527)
    - Bring back timestamps in oauth-login.log (LP: #459175)
    - Applet starts syncdaemon without a token (LP: #491573)
    - Prefs changes don't take immediate affect (LP: #457564)
    - BW limit settings don't appear to be saved (LP: #465030)
    - Distinguish auth errors from other errors (LP: #450633)
    - Fix for running on python < 2.6.3 (LP: #451670)
 -- Rodney Dawes <email address hidden> Fri, 11 Dec 2009 15:45:52 -0500

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Roman Yepishev (rye) on 2010-02-15
tags: added: rye-diag
Rodney Dawes (dobey) on 2010-02-18
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
cabruca (valeriomelo) on 2012-11-29
information type: Public → Public Security
Roberto Alsina (ralsina) wrote :

@cabruca please don't randomly change ancient bugs please :-)

information type: Public Security → Public

(previous comment was truncated)

Also I, if I am on a XDMCP session. The Tomboy sends notes for a subdirectory of the Ubuntu One, but the Ubuntu One service don't synchronise the directory local with the directory remote.

Rodney Dawes (dobey) wrote :

@Alexandre, I don't know what your problem is but it doesn't relate to this bug. If you have an issue please file new bugs instead of commenting on very old bugs. Thanks.

Really. It's looking like I need to do settings in / etc/dbus-1/system.d / files. Sorry.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers